/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;


/**
 * dw库测试点列表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-27 16:05:09  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "dw库测试点列表")
public class DwTestPoint extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * id主键<br>
   */
  @ApiModelProperty("id主键")
  @Size(max = 32, message="id主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 所属系统<br>
   */
  @ApiModelProperty("所属系统")
  @Size(max = 32, message="所属系统-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  @ApiModelProperty("状态(0初始1已生成用例)")
  private Integer pointStatus;

  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * id主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * id主键<br>
   *
   * @param id id主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 所属系统<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 所属系统<br>
   *
   * @param projectId 所属系统
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public Integer getPointStatus() {
    return pointStatus;
  }

  public void setPointStatus(Integer pointStatus) {
    this.pointStatus = pointStatus;
  }

  public DwTestPoint()
  {
  }

}
